Name:		bischeck
Version:	0.4.3.2
Release:	op5.1
Summary:	Bischeck is monitoring applications and processes with dynamic behavior

Group:		op5/monitor
License:	GPL2
URL:		http://www.bischeck.org/
Source0:	%name-%version.tar.gz
Prefix:		/opt/monitor/op5/bischeck
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	x86_64

Requires:	nsca
Requires:	xinetd

%if 0%{?suse_version}
# SLES-specific stuff
Requires:	java-1_4_2-ibm
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
Requires:	java
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
Bischeck is an open source project with the goal to provide
monitoring of applications and processes with dynamic behavior.
By caching collected monitored data, Bischeck can create
thresholds based on any combination of the collected data,
enabling baselines that are dynamic and adaptive to business load.

%prep
%setup -q


%install
rm -rf %buildroot

install -d %{buildroot}/etc/init.d
install -d %{buildroot}/etc/xinetd.d
install -d %{buildroot}/var/run/bischeck
install -d %{buildroot}/var/log/bischeck
install -d %{buildroot}/var/cache/bischeck
install -d %{buildroot}/etc/op5-backup/modules/external
mkdir -p -m 0755 %buildroot%prefix
mkdir -p -m 0755 %buildroot%prefix/bin
mkdir -p -m 0755 %buildroot%prefix/customlib
mkdir -p -m 0755 %buildroot%prefix/etc
mkdir -p -m 0755 %buildroot%prefix/examples
mkdir -p -m 0755 %buildroot%prefix/lib
mkdir -p -m 0755 %buildroot%prefix/resources
mkdir -p -m 0755 %buildroot%prefix/etc
mkdir -p -m 0755 %buildroot%prefix/examples

install -p -m 0644 lib/* %buildroot%prefix/lib
install -p -m 0644 resources/* %buildroot%prefix/resources
install -p -m 0644 etc/* %buildroot%prefix/etc
install -p -m 0644 examples/* %buildroot%prefix/examples
install -p -m 0644 scripts/bischeckd.template %buildroot%prefix/bin/bischeckd
install -p -m 0644 scripts/bischeck.template %buildroot%prefix/bin/bischeck
install -p -m 0644 svninfo.txt %buildroot%prefix
install -p -m 0750 scripts/bischeckd.template %buildroot/etc/init.d/bischeckd
install -p -m 0644 xinetd.d/livestatus %buildroot/etc/xinetd.d/livestatus
install -p -m 0644 README.op5 %buildroot%prefix
install -p -m 0644 bischeck.op5backup %buildroot/etc/op5-backup/modules/external/bischeck

echo %version > %buildroot%prefix/version.txt


%post
if [ $1 -eq 1 ] ; then
	# Initial installation
	/sbin/service xinetd restart
	/sbin/chkconfig --add nsca
	/sbin/chkconfig --add bischeckd
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %attr(0755, monitor, apache) %prefix/bin/*
%dir %attr(0755, monitor, apache) /var/run/bischeck
%dir %attr(0755, monitor, apache) /var/log/bischeck
%dir %attr(0755, monitor, apache) /var/cache/bischeck
%config(noreplace) %attr(0644, monitor, root) %prefix/etc/*.xml
%config(noreplace) %attr(0600, monitor, root) %prefix/etc/jmxremote.*
%prefix/examples/*
%prefix/lib/*
%prefix/resources/*
/etc/init.d/bischeckd
%doc %prefix/svninfo.txt
%doc %prefix/version.txt
/etc/xinetd.d/livestatus
%doc %prefix/README.op5
/etc/op5-backup/modules/external/bischeck


%changelog

